Bullet Collision Detection & Physics Library: GIM_HASH_TABLE_NODE< T > Struct Template Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
GIM_HASH_TABLE_NODE< T > Struct Template Reference

`#include <gim_hash_table.h>`

## Public Member Functions
| GIM_HASH_TABLE_NODE ()
| GIM_HASH_TABLE_NODE (const GIM_HASH_TABLE_NODE &value)
| GIM_HASH_TABLE_NODE (GUINT key, const T &data)
bool | operator< (const GIM_HASH_TABLE_NODE< T > &other) const
bool | operator> (const GIM_HASH_TABLE_NODE< T > &other) const
bool | operator== (const GIM_HASH_TABLE_NODE< T > &other) const

## Public Attributes
GUINT | m_key
T | m_data

## Detailed Description

### template<typename T>
struct GIM_HASH_TABLE_NODE< T >

Definition at line 45 of file gim_hash_table.h.

## Constructor & Destructor Documentation

## ◆ GIM_HASH_TABLE_NODE() [1/3]

template<typename T >

GIM_HASH_TABLE_NODE< T >::GIM_HASH_TABLE_NODE | ( |  | ) |
| inline

Definition at line 49 of file gim_hash_table.h.

## ◆ GIM_HASH_TABLE_NODE() [2/3]

template<typename T >

GIM_HASH_TABLE_NODE< T >::GIM_HASH_TABLE_NODE | ( | const GIM_HASH_TABLE_NODE< T > & | value | ) |
| inline

Definition at line 53 of file gim_hash_table.h.

## ◆ GIM_HASH_TABLE_NODE() [3/3]

template<typename T >

GIM_HASH_TABLE_NODE< T >::GIM_HASH_TABLE_NODE | ( | GUINT | key,
|  | const T & | data
| ) |  |
| inline

Definition at line 59 of file gim_hash_table.h.

## Member Function Documentation

## ◆ operator<()

template<typename T >

bool GIM_HASH_TABLE_NODE< T >::operator< | ( | const GIM_HASH_TABLE_NODE< T > & | other | ) | const
| inline

inverse order, further objects are first

Definition at line 65 of file gim_hash_table.h.

## ◆ operator==()

template<typename T >

bool GIM_HASH_TABLE_NODE< T >::operator== | ( | const GIM_HASH_TABLE_NODE< T > & | other | ) | const
| inline

inverse order, further objects are first

Definition at line 79 of file gim_hash_table.h.

## ◆ operator>()

template<typename T >

bool GIM_HASH_TABLE_NODE< T >::operator> | ( | const GIM_HASH_TABLE_NODE< T > & | other | ) | const
| inline

inverse order, further objects are first

Definition at line 72 of file gim_hash_table.h.

## Member Data Documentation

## ◆ m_data

template<typename T >

T GIM_HASH_TABLE_NODE< T >::m_data

Definition at line 48 of file gim_hash_table.h.

## ◆ m_key

template<typename T >

GUINT GIM_HASH_TABLE_NODE< T >::m_key

Definition at line 47 of file gim_hash_table.h.

The documentation for this struct was generated from the following file:

- gim_hash_table.h